'use strict';

const buildBundle = require('./bld/build-babel');
const documentation = require('./bld/documentation');
const instrument = require('./bld/instrument-coverage');
const lint = require('./bld/lint');
const lintTests = require('./bld/lint-tests');
const test = require('./bld/test.js');
const gulp = require('gulp');

gulp.task('documentation', documentation);
gulp.task('lint', lint);
gulp.task('lint-tests', lintTests);
gulp.task('instrument-coverage', instrument);
gulp.task('unit-test', ['instrument-coverage'], test);
gulp.task('build-client', buildClient);
gulp.task('lint', ['lint-client', 'lint-server', 'lint-tests']);
gulp.task('full-build', ['documentation', 'lint', 'unit-test', 'build-client']);

gulp.task('default', ['full-build']);